aboutsummaryrefslogtreecommitdiffstats
path: root/main/squark
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-07-04 11:19:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-07-04 11:19:58 +0000
commitfd40cd501d3a61d39c673110cef3885f21ae9f1d (patch)
treeaf38db69c07bbfc5e9be094d15f9ca93832ee2aa /main/squark
parent5eaac8a50f537047907de61dbdb5b09d18668e19 (diff)
downloadaports-fd40cd501d3a61d39c673110cef3885f21ae9f1d.tar.bz2
aports-fd40cd501d3a61d39c673110cef3885f21ae9f1d.tar.xz
main/squark: backported from edge
fixes #684
Diffstat (limited to 'main/squark')
-rw-r--r--main/squark/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/main/squark/APKBUILD b/main/squark/APKBUILD
new file mode 100644
index 0000000000..56452833a1
--- /dev/null
+++ b/main/squark/APKBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Timo Teras <timo.teras@iki.fi>
+pkgname=squark
+pkgver=0.2
+pkgrel=0
+pkgdesc="Squark - Squid User Authentication and Rating Kit"
+subpackages=
+depends="haserl lua"
+makedepends="net-snmp-dev cmph-dev lua-dev pkgconfig"
+source="http://git.alpinelinux.org/cgit/$pkgname.git/snapshot/$pkgname-$pkgver.tar.bz2
+ "
+url="http://git.alpinelinux.org/cgit/squark/"
+arch="all"
+license=GPL-2
+
+prepare() {
+ cd "$srcdir"
+ ln -s squark-master $pkgname-$pkgver
+ cd "$srcdir/$pkgname-$pkgver"
+ sed -i -e 's:-Werror::' Make.rules
+ for i in $source; do
+ case $i in
+ *.patch) patch -p1 -i "$srcdir"/$i || return 1
+ esac
+ done
+ sed -i -e 's:lua5.1:lua:g' "$srcdir"/"$pkgname-$pkgver"/src/Makefile
+}
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make FULL_VERSION="$pkgver-r$pkgrel" || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make FULL_VERSION="$pkgver-r$pkgrel" DESTDIR="$pkgdir" install
+}
+
+md5sums="777ef0d595b12872e3ed6647ef50e98a squark-0.2.tar.bz2"